# Copyright (C) 2002-2007 ObjectWeb
#
# CAROL: Common Architecture for RMI ObjectWeb Layer
#
# This library is developed inside the ObjectWeb Consortium,
# http://www.ow2.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id: carol.properties 12268 2007-12-11 09:29:28Z loris $
# --------------------------------------------------------------------------

# jonas rmi activation (iiop, irmi, jrmp)
carol.protocols=jrmp

# If true, CMI will be automatically started at the first creation of an InitialContext.
# In JOnAS, it is advised to let this property at false in order to start CMI with the dedicated service.
carol.start.cmi=false

# RMI IRMI URL
carol.irmi.url=rmi://localhost:1098
# For each protocol, set if CMI is enabled
carol.irmi.cmi=true

# RMI JRMP URL
carol.jrmp.url=rmi://localhost:1099
carol.jrmp.cmi=true

# RMI IIOP URL
carol.iiop.url=iiop://localhost:2001
carol.iiop.cmi=true

######################################################################
#             Advanced Configuration for IRMI
######################################################################
# Exported objects will listen on this port for remote method
# invocations.
#A value of 0 will cause a random port to be selected.
# This is the default value.
# Warning : if the port is set (not 0) with the value 'n', be aware that
# the port 'n + 1' will be used by the JMX server.
# So, for the firewall configuration, you have to open the port numbers 'n'
# and 'n+1'.
carol.irmi.server.port=0

# Use only a single interface when creating the registry
# (specified in carol.irmi.url property)
# Use all interfaces available [default configuration = false]
carol.irmi.interfaces.bind.single=false

######################################################################
#             Advanced Configuration for JRMP
######################################################################
# If true, local call with jrmp are optimized. If you get "ClassCastException
# with 2 beans in different jars, you should set it at "false".
carol.jvm.rmi.local.call=false

# If true a local Naming context is used (to be used only with a collocated registry)
carol.jvm.rmi.local.registry=false

# The value of this port is used to set the port of the objects listener.
# This allow to use this port for a firewall configuration.
# If registry and server are on same host, the two ports to open are the following and the registry port.
# 0 means random port [default configuration = 0]
carol.jrmp.server.port=0

# Use only a single interface when creating the registry
# (specified in carol.jrmp.url property)
# Use all interfaces available [default configuration = false]
carol.jrmp.interfaces.bind.single=false


######################################################################
#             Advanced Configuration for IIOP
######################################################################
# The value of this port is used to set the port of the objects listener.
# This allow to use this port for a firewall configuration.
# If registry and server are on same host, the two ports to open are the following and the registry port.
# 0 means random port [default configuration = 0]
carol.iiop.server.port=0

# The value of this port is used to set the SSL port of the objects listener.
# Note that this port musn't not be set to 0 as it is used for CsiV2.
# but this port is used only if SSL mode is enable.
# So by default, there is no listener on this port
# [default configuration = not used]
carol.iiop.server.sslport=2003

# Delegate used by JOnAS for rmi-iiop protocol
carol.iiop.PortableRemoteObjectClass=org.ow2.jonas.lib.naming.JacORBPRODelegate

######################################################################
#             Configuration for servers using CMI
######################################################################
# If the server mode is enabled (carol.server.mode=true), cmi can be configured by Carol.
# The following properties are dedicated to it.

# Server only: Enable or disable registering of clustered objects
cmi.server.start.replication=true

# Setter class for CMI
carol.cmi.setter.class=org.ow2.carol.cmi.config.CentralizedConfig
# Must take a Properties object in parameter
carol.cmi.setter.methodProperties=setProperties
# Must take a Domain name and a server name in parameter
carol.cmi.setter.methodMBean=setMBean

# CMI properties: parsed by CMIConfig

# Time to refresh the client view.
cmi.client.refresh.time=100000

# Class name of the implementation of the ServerClusterViewManager.
cmi.server.impl.class=org.ow2.carol.cmi.controller.server.impl.jgroups.JGroupsClusterViewManager

# Filename of the jgroups conf file
cmi.server.impl.jgroups.conf=jgroups-cmi.xml

# Groupname for JGroups
cmi.server.impl.jgroups.groupname=G1

# Enable or disable bind of a provider
cmi.server.provider.bind=true

# Enable or disable bind of a registry
cmi.server.registry.bind=true

# Load factor for the server configured with this file
cmi.server.load=100

# List of provider URLs in order to allow servers having replication disabled to retrieve the cluster view
cmi.server.provider.urls=

######################################################################
#             Advanced JNDI Configuration
######################################################################
carol.jndi.java.naming.factory.url.pkgs=org.ow2.jonas.lib.naming
